﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.SqlClient;
using System.Data;

namespace DataAdapterExample1
{
    class Program
    {
        static void PrintRow( DataRow r )
        {
            if ( r.HasVersion( DataRowVersion.Original ) )
                Console.WriteLine( "ORIG:" + r["Nazwisko", DataRowVersion.Original].ToString() );
            if ( r.HasVersion( DataRowVersion.Current ) )
                Console.WriteLine( "CURR:" + r["Nazwisko", DataRowVersion.Current].ToString() );
            if ( r.HasVersion( DataRowVersion.Proposed ) )
                Console.WriteLine( "PROP:" + r["Nazwisko", DataRowVersion.Proposed].ToString() );
        }

        static void Main( string[] args )
        {
            SqlConnection connection = new SqlConnection( "Data Source=.; Initial Catalog=Test; Integrated Security=true;" );
            SqlDataAdapter daOsoba = new SqlDataAdapter( "select * from Osoba", connection );

            DataSet ds = new DataSet();
            daOsoba.Fill( ds, "Osoba" );

            DataTable osoby = ds.Tables["Osoba"];

            DataRow r = osoby.Rows[0];

            
            Console.WriteLine( "1. -------" );
            PrintRow( r );
            Console.WriteLine( "2. -------" );
            r.BeginEdit();
            PrintRow( r );
            Console.WriteLine( "3. -------" );
            r["Nazwisko"] = "Kowalski2";
            PrintRow( r );
            Console.WriteLine( "4. -------" );
            r.EndEdit();
            PrintRow( r );
            Console.WriteLine( "5. -------" );
            ds.AcceptChanges();
            PrintRow( r );

            Console.ReadLine();
        }
    }
}
